%global dlrn_nvr python-dracclient-3.4.2.dev1-2.20220114024850.b4a6f0f
%global dlrn 1
%define upstream_version 3.4.2.dev1
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver %{python3_pkgversion}
%else
%global pyver 2
%endif
%global pyver_bin python%{pyver}
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility
%{!?upstream_version: %global upstream_version %{version}}

Name:           python-dracclient
Version: 3.4.2
Release: 2.20220114024850.b4a6f0f%{?dist}
Summary:        Library for managing machines with Dell iDRAC cards.

License:        ASL 2.0
URL:            http://github.com/openstack/%{name}
Source0: python-dracclient-3.4.2.dev1-2.20220114024850.b4a6f0f.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=b4a6f0fc199a710fedf6d1606ad242e1f6cc4c47


BuildArch:      noarch

%description
Library for managing machines with Dell iDRAC cards.

%package -n     python%{pyver}-dracclient
Summary:        Library for managing machines with Dell iDRAC cards.
%{?python_provide:%python_provide python%{pyver}-dracclient}

BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-pbr
BuildRequires:  python%{pyver}-setuptools
# All this is required to run unit tests in check phase
BuildRequires:  python%{pyver}-mock
BuildRequires:  python%{pyver}-requests

# Handle python2 exception
%if %{pyver} == 2
BuildRequires:  python-lxml
BuildRequires:  python-requests-mock
%else
BuildRequires:  python%{pyver}-lxml
BuildRequires:  python%{pyver}-requests-mock
%endif

Requires: python%{pyver}-requests

# Handle python2 exception
%if %{pyver} == 2
Requires: python-lxml
%else
Requires: python%{pyver}-lxml
%endif

%description -n     python%{pyver}-dracclient
Library for managing machines with Dell iDRAC cards.

%prep
%setup -q -n %{name}-%{upstream_version}
# Remove bundled egg-info
rm -rf %{name}.egg-info
# Let RPM handle the dependencies
rm -f {test-,}requirements.txt

%build
%{pyver_build}

%install
%{pyver_install}

%check
%{pyver_bin} -m unittest discover dracclient.tests

%files -n     python%{pyver}-dracclient
%doc README.rst LICENSE
%{pyver_sitelib}/dracclient*
%{pyver_sitelib}/python_dracclient*

%changelog
* Thu Jan 13 2022 OSP Prod Chain <dev-null@redhat.com> 3.4.2-2.20220114024850.b4a6f0f
- Update patches
- Set iDRACCard attributes as nullable

* Tue Sep 28 2021 OSP Prod Chain <dev-null@redhat.com> 3.4.1-2.20210929024812.7e0af61
- Update patches
- Fix for H755 RAID controller when convert to JBOD
- Fix virtual disks sharing same physical disks

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 3.4.0-2.20210527195539.21ffd2b
- Update patches

* Thu Dec 17 2020 OSP Prod Chain <dev-null@redhat.com> 3.1.0-1
- Update patches

* Sat Oct 24 2020 OSP Prod Chain <dev-null@redhat.com> 3.1.0-1
- Update patches
- Provide last system inventory time
- Add video enumeration to InventoryManagement

* Wed Sep 30 2020 OSP Prod Chain <dev-null@redhat.com> 3.1.0-1
- Update patches
- Clarify module name

* Sun Sep 20 2020 OSP Prod Chain <dev-null@redhat.com> 3.1.0-1
- Update patches
- Fix issue with reset_idrac on some servers

* Mon Jul 20 2020 OSP Prod Chain <dev-null@redhat.com> 3.1.0-1
- Update patches

* Thu Jul 16 2020 OSP Prod Chain <dev-null@redhat.com> 3.1.0-1
- Update patches

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> 3.1.0-1
- Update patches
- Add the ability to manage RAID settings
- Added ``bus`` attribute to PhysicalDisks for NVMe drives

* Tue Apr 07 2020 OSP Prod Chain <dev-null@redhat.com> 3.1.0-1
- Update patches
- Create doc requirements.txt

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> 3.1.0-1
- Update patches
- Switch from oslosphinx to openstackdocstheme

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> 3.1.0-1
- Update patches
- Fix parsing for virtual disk RAIDStatus attribute

* Tue Mar 10 2020 OSP Prod Chain <dev-null@redhat.com> 3.1.0-1
- Update patches

* Fri Feb 21 2020 OSP Prod Chain <dev-null@redhat.com> 3.1.0-1
- Update patches

* Wed Jan 29 2020 OSP Prod Chain <dev-null@redhat.com> 3.1.0-1
- Update patches
- Fix pointer to upper_constraints.txt

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> 3.1.0-1
- Update patches
- Fix .gitreview in stable/train

* Fri Oct 04 2019 OSP Prod Chain <dev-null@redhat.com> 3.1.0-1
- Update patches
- Fixes some issues with zuulv3 changes

* Mon Sep 23 2019 RDO <dev@lists.rdoproject.org> 3.1.0-1
- Update to 3.1.0


